%bcond_without check
%global so_version 2

Summary:        Audio time-stretching and pitch-shifting library
Name:           rubberband
Version:        3.1.2
Release:        3%{?dist}

License:        GPLv2+
URL:            http://www.breakfastquay.com/rubberband/
Source0:        https://breakfastquay.com/files/releases/%{name}-%{version}.tar.bz2

BuildRequires: pkgconfig(lv2) pkgconfig(samplerate) pkgconfig(sndfile) vamp-plugin-sdk-devel
BuildRequires: meson gcc-c++ ladspa-devel pkgconfig(fftw3)
%if %{with check}
BuildRequires:  boost-devel
%endif

Requires:       ladspa lv2

%description
Rubber Band Library is a high quality software library for audio time-stretching
and pitch-shifting. It permits you to change the tempo and pitch of an audio stream
or recording dynamically and independently of one another.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This package provides libraries and header files for applications that use %{name}.


%prep
%autosetup


%build
%meson \
  -Dfft=fftw \
  -Djni=disabled \
  -Dresampler=libsamplerate
%meson_build


%install
%meson_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
rm -rf %{buildroot}%{_libdir}/*.a


%if %{with check}
%check
%meson_test
%endif


%files
%license COPYING
%doc README.md
%{_bindir}/rubberband
%{_bindir}/rubberband-r3
%{_libdir}/*.so.%{so_version}*
%{_libdir}/ladspa/ladspa-rubberband.*
%{_libdir}/lv2/rubberband.lv2/*
%{_libdir}/vamp/vamp-rubberband.*
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf

%files devel
%doc CHANGELOG
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/rubberband.pc


%changelog
* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 3.1.2-3
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 cunshunxia <cunshunxia@tencent.com> - 3.1.2-1
- initial build
